## fastq-pair 1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(fastq_pair)

set(CMAKE_C_STANDARD 99)

set(SOURCE_FILES main.c robstr.c fastq_pair.c)
add_executable(fastq_pair ${SOURCE_FILES})
install (TARGETS fastq_pair DESTINATION bin)

=== debian/changelog ===
fastq-pair (1.0-5) unstable; urgency=medium

  * Add myself as Uploader
    Closes: #1119887
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Nov 2025 10:14:19 +0100

fastq-pair (1.0-4) unstable; urgency=medium

  * Team Upload.
  * Move d/watch to version 5
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 01:32:26 +0530

fastq-pair (1.0-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 20:04:00 +0100

fastq-pair (1.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 19 May 2021 15:18:17 +0530

fastq-pair (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #986242)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 01 Apr 2021 17:24:29 +0530

=== debian/control ===
Source: fastq-pair
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Browser: https://salsa.debian.org/med-team/fastq-pair
Vcs-Git: https://salsa.debian.org/med-team/fastq-pair.git
Homepage: https://github.com/linsalrob/fastq-pair

Package: fastq-pair
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Rewrites paired end fastq so all reads have a mate to separate out singletons
 This package rewrites the fastq files with the sequences in order,
 with matching files for the two files provided on the command line,
 and then any single reads that are not matched are place in two separate
 files, one for each original file.
 .
 This code is designed to be fast and memory efficient, and works with large
 fastq files. It does not store the whole file in memory, but rather just stores
 the locations of each of the indices in the first file provided in memory.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
Version: 5

Template: Github
Owner: linsalrob
Project: fastq-pair
